/* @import url("./nexods-foundations.css");
@import url("./nexods-typography.css");
@import url("./nexods-fonts.css");
@import url("./nexods-utilities.css");
@import url("./nexods-admins.css");
@import url("./benicassim.css");
@import url("./nexods-icons.css"); */



/* SIT Platforms */
@import url("./semantic-sits.css");

[data-theme="dark"] {
  background-color: var(--bg-primary);
}

[data-theme="dark"] :is(.sbdocs-wrapper, .sbdocs-preview) {
  background-color: var(--bg-primary);
  color: white !important;
}

[data-theme="dark"] :is(.sbdocs-title, .docblock-argstable-head *, .sb-anchor > h3) {
  color: white !important;
}



/* helpers */
.nexo-container {
  max-width: var(--flow-container-max-width);
  margin: 0 auto;
  padding-inline: var(--padding-desktop);
}

@media (max-width: 1024px) {
  .nexo-container {
    padding-inline: var(--padding-tablet);
  }
}

@media (max-width: 768px) {
  .nexo-container {
    padding-inline: var(--padding-mobile);
  }
}

.nexo-benicassim-sit .html-text-block blockquote {
  color: var(--nexo-color-secondary);
  font-weight: 700;
  --min: 25;
  --max: 35;
  --mintrans: 1000;
  --maxtrans: 1920;
  padding-inline: clamp(var(--min) * 1px,
      calc((var(--max) - var(--min)) * ((100vw - var(--mintrans) * 1px) / (var(--maxtrans) - var(--mintrans))) + var(--min) * 1px),
      var(--max) * 1px) !important;
  line-height: 1.4;
}

:root {
  /* VARIABLE PRINCIPAL DE FUENTE - ÚNICO PUNTO DE VERDAD
     Cargada desde Adobe Fonts (Typekit): https://use.typekit.net/ygh0mei.css */
  --nexo-font-family: "trade-gothic-next", "trade-gothic-next-condensed", -apple-system, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", sans-serif;
  --nexo-color-primary: #001339;


  --nexo-color-on-dark: #fff;
  --nexo-color-accent: #00b0a6;
  --nexo-color-secondary: #eebd08;
  --nexo-color-text-default: #001339;
}